﻿/// Copyright (c) Taoffi Nassar, 2010. All Rights Reserved.
/// http://www.isosoft.org/taoffi
///
/// This code is provided as is for sample demonstration purpose
/// 

using SilverDbDataGrid.ServiceReference1;

namespace SilverDbDataGrid
{
	public class SilverDatasetView : SilverCollectionView<SilverDataRow>
	{
		public SilverDatasetView() : base()
		{
		}

		public SilverDatasetView(SilverDataTable service_data_table) : base()
		{
			CopyDataset( service_data_table);
		}

		public bool CopyDataset(SilverDataTable data_table)
		{
			if( data_table == null || data_table.Rows == null)
				return false;

			base.SourceCollection	= data_table.Rows;
			return true;
		}

	}
}
